| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
regex.h File Reference

## Classes
class | wxRegEx
| wxRegEx represents a regular expression. More...

## Enumerations
enum | { wxRE_EXTENDED = 0, wxRE_ADVANCED = 1, wxRE_BASIC = 2, wxRE_ICASE = 4, wxRE_NOSUB = 8, wxRE_NEWLINE = 16, wxRE_DEFAULT = wxRE_EXTENDED }
enum | { wxRE_NOTBOL = 32, wxRE_NOTEOL = 64 }

## Enumeration Type Documentation

anonymous enum

Flags for regex compilation to be used with wxRegEx::Compile().

Enumerator:

  wxRE_EXTENDED | Use extended regex syntax.
  wxRE_ADVANCED | Use advanced RE syntax (built-in regex only).
  wxRE_BASIC | Use basic RE syntax.
  wxRE_ICASE | Ignore case in match.
  wxRE_NOSUB | Only check match, don't set back references.
  wxRE_NEWLINE | If not set, treat ' ' as an ordinary character, otherwise it is special: it is not matched by '. ' and '^' and '$' always match after/before it regardless of the setting of wxRE_NOT[BE]OL.
  wxRE_DEFAULT | Default flags.

anonymous enum

Flags for regex matching to be used with wxRegEx::Matches(). These flags are mainly useful when doing several matches in a long string to prevent erroneous matches for '^' and '$':

Enumerator:

  wxRE_NOTBOL | '^' doesn't match at the start of line.
  wxRE_NOTEOL | '$' doesn't match at the end of line.